##-clean up 
rm -f a.out aer* DATA_* SABS* SEXT* SSA* G* growth_* ri_* Refr*ex.txt
##
##-run refractive indices
gfortran refr_ind_bc_MACC_v4.f
./a.out
gfortran refr_ind_nitrate_MACC_v4.f
./a.out
gfortran refr_ind_pom_MACC_v4.f
./a.out
gfortran refr_ind_seasalt_MACC_v4.f
./a.out
gfortran refr_ind_sulfate_MACC_v2.f
./a.out
##
##-run Mie codes
echo BC
gfortran -fdefault-real-8 mie_6bands_bc_v4.f
./a.out
echo NO3
gfortran -fdefault-real-8 mie_6bands_nitrate_v4.f
./a.out
echo POM
gfortran -fdefault-real-8 mie_6bands_pom_v4.f
./a.out
echo SS
gfortran -fdefault-real-8 mie_6bands_seasalt_v4.f
./a.out
echo internal
gfortran -fdefault-real-8 mie_6bands_sul_bc_for_internal_mixture.f
./a.out
echo SUL
gfortran -fdefault-real-8 mie_6bands_sulfate.f
./a.out
echo DUST
gfortran -fdefault-real-8 mie_6bands_SW_LW_dust.f
./a.out
##-prepare 5 wv aerosol files
cat data_alpha_aers_5wv.txt SEXT_bc_soluble_5wave.txt SEXT_pom_soluble_5wave.txt SEXT_sulfate_5wave.txt SEXT_sulfate_internal_mixture_5wave.txt SEXT_seasalt_5wave.txt SEXT_nitrate_soluble_5wave.txt data_alpha_aeri_5wv.txt SEXT_dust_5wave.txt SEXT_bc_insoluble_5wave.txt SEXT_pom_insoluble_5wave.txt SEXT_nitrate_insoluble_5wave.txt > DATA_EXT_5wv.txt
cat data_abs_aers_5wv.txt SABS_bc_soluble_5wave.txt SABS_pom_soluble_5wave.txt SABS_sulfate_5wave.txt SABS_sulfate_internal_mixture_5wave.txt SABS_seasalt_5wave.txt SABS_nitrate_soluble_5wave.txt data_abs_aeri_5wv.txt SABS_dust_5wave.txt SABS_bc_insoluble_5wave.txt SABS_pom_insoluble_5wave.txt SABS_nitrate_insoluble_5wave.txt > DATA_ABS_5wv.txt
#--6 bands aerosol file
cat data_alpha_aers_6bands.txt SEXT_bc_soluble_6bands.txt SEXT_pom_soluble_6bands.txt SEXT_sulfate_6bands.txt SEXT_sulfate_internal_mixture_6bands.txt SEXT_seasalt_6bands.txt SEXT_nitrate_soluble_6bands.txt data_piz_aers_6bands.txt SSA_bc_soluble_6bands.txt SSA_pom_soluble_6bands.txt SSA_sulfate_6bands.txt SSA_sulfate_internal_mixture_6bands.txt SSA_seasalt_6bands.txt SSA_nitrate_soluble_6bands.txt data_cg_aers_6bands.txt G_bc_soluble_6bands.txt G_pom_soluble_6bands.txt G_sulfate_6bands.txt G_sulfate_internal_mixture_6bands.txt G_seasalt_6bands.txt G_nitrate_soluble_6bands.txt data_alpha_aeri_6bands.txt SEXT_dust_6bands.txt SEXT_bc_insoluble_6bands.txt SEXT_pom_insoluble_6bands.txt SEXT_nitrate_insoluble_6bands.txt data_piz_aeri_6bands.txt SSA_dust_6bands.txt SSA_bc_insoluble_6bands.txt SSA_pom_insoluble_6bands.txt SSA_nitrate_insoluble_6bands.txt data_cg_aeri_6bands.txt G_dust_6bands.txt G_bc_insoluble_6bands.txt G_pom_insoluble_6bands.txt G_nitrate_insoluble_6bands.txt > DATA_6bands.txt
#
#--edit remove fist sulfate AC
#--edit file for last lines
